Get Available Phone Numbers
curl --request GET \
--url https://api.eqho.ai/v1/phone-numbers/available \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/phone-numbers/available"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/phone-numbers/available', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/phone-numbers/available"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"phone_numbers": [
{
"type": "local",
"phone_number": "<string>",
"capabilities": {
"mms": false,
"sms": false,
"voice": false
},
"lata": "<string>",
"locality": "<string>",
"region": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"address_requirements": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Phone Numbers
Get Available Phone Numbers
List available phone numbers for purchase. Note the phone_number to use in the claim endpoint. Supports carrier=twilio (default) or carrier=telnyx.
GET
/
v1
/
phone-numbers
/
available
Get Available Phone Numbers
curl --request GET \
--url https://api.eqho.ai/v1/phone-numbers/available \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/phone-numbers/available"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/phone-numbers/available', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/phone-numbers/available"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"phone_numbers": [
{
"type": "local",
"phone_number": "<string>",
"capabilities": {
"mms": false,
"sms": false,
"voice": false
},
"lata": "<string>",
"locality": "<string>",
"region": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"address_requirements": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
APIKeyHeader & OrgImpersonationOAuth2PasswordBearer & OrgImpersonation
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Query Parameters
Optional string that if present must be at least 2 characters and only contain *, 0-9, a-z, and A-Z
Carrier to search: twilio or telnyx
Country to search in. Only US or CA supported.
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?